		;	MCS-51 INTERNAL REGISTERS
		;	
B:	EQU       0F0H	;	B REGISTER
A:	EQU       0E0H	;	ACCUMULATOR
PSW:	EQU       0D0H	;	PROGRAM STATUS WORD
IPC:	EQU       0B8H	;	INTERRUPT PRIORITY
P3:	EQU       0B0H	;	PORT 3
IEC:	EQU       0A8H	;	INTERRUPT ENABLE
P2:	EQU       0A0H	;	PORT 2
SBUF:	EQU       099H	;	SEND BUFFER
SCON:	EQU       098H	;	SERIAL CONTROL
P1:	EQU       090H	;	PORT 1
TH1:	EQU       08DH	;	TIMER 1 HIGH
TH0:	EQU       8CH	;	TIMER 0 HIGH
TL1:	EQU       8BH	;	TIMER 1 LOW
TL0:	EQU       8AH	;	TIMER 0 LOW
TMOD:	EQU       089H	;	TIMER MODE
TCON:	EQU       88H	;	TIMER CONTROL
PCON:	EQU       87H	;	POWER CONTROL REGISTER
DPH:	EQU       83H	;	DATA POINTER HIGH
DPL:	EQU       82H	;	DATA POINTER LOW
SP:	EQU       81H	;	STACK POINTER
P0:	EQU       80H	;	PORT 0
		;	MCS-51 INTERNAL BIT ADDRESSES
		;	
CY:	EQU       0D7H	;	CARRY FLAG
AC:	EQU       0D6H	;	AUXILIARY-CARRY FLAG
F0:	EQU       0D5H	;	USER FLAG 0
RS1:	EQU       0D4H	;	REGISTER SELECT MSB
RS0:	EQU       0D3H	;	REGISTER SELECT LSB
OV:	EQU       0D2H	;	OVERFLOW FLAG
P:	EQU       0D0H	;	PARITY FLAG
PS:	EQU       0BCH	;	PRIORITY SERIAL PORT
PT1:	EQU       0BBH	;	PRIORITY TIMER 1
PX1:	EQU       0BAH	;	PRIORITY EXTERNAL 1
PT0:	EQU       0B9H	;	PRIORITY TIMER 0
PX0:	EQU       0B8H	;	PRIORITY EXTERNAL 0
EA:	EQU       0AFH	;	ENABLE ALL INTERRUPT
ES:	EQU       0ACH	;	ENABLE SERIAL INTERRUPT
ET1:	EQU       0ABH	;	ENABLE TIMER 1 INTERRUPT
EX1:	EQU       0AAH	;	ENABLE EXTERNAL 1 INTERR
ET0:	EQU       0A9H	;	ENABLE TIMER 0 INTERRUPT
EX0:	EQU       0A8H	;	ENABLE EXTERNAL 0 INTERR
SM0:	EQU       09FH	;	SERIAL MODE 0
SM1:	EQU       09EH	;	SERIAL MODE 1
SM2:	EQU       09DH	;	SERIAL MODE 2
REN:	EQU       09CH	;	SERIAL RECEPTION ENABLE
TB8:	EQU       09BH	;	TRANSMITT BIT 8
RB8:	EQU       09AH	;	RECEIVE BIT 8
TI:	EQU       099H	;	TRANSMIT INTERRUPT FLAG
RI:	EQU       098H	;	RECEIVE INTERRUPT FLAG
TF1:	EQU       08FH	;	TIMER 1 OVERFLOW FLAG
TR1:	EQU       08EH	;	TIMER 1 RUN CONTROL BIT
TF0:	EQU       08DH	;	TIMER 0 OVERFLOW FLAG
TR0:	EQU       08CH	;	TIMER 0 RUN CONTROL BIT
IE1:	EQU       08BH	;	EXT INTERR. 1 EDGE FLAG
IT1:	EQU       08AH	;	EXT INTERR. 1 TYPE FLAG
IE0:	EQU       089H	;	EXT INTERR. 0 EDGE FLAG
IT0:	EQU       088H	;	EXT INTERR. 0 TYPE FLAG
		;	ASCII CHARACTERS
		;	
CR:	EQU       00DH	;	CARRIAGE RETURN
LF:	EQU       00AH	;	LINE FEED
SPACE:	EQU       020H	;	SPACE.
BEEP:	EQU       007H	;	BEEP.
ESC:	EQU       01BH	;	ESC.
Y:	EQU       059H	;	HEX VALUE OF Y.
N:	EQU       04EH	;	HEX VALUE OF N.
		;	SERIAL PORT AND TIMER SETTINGS
		;	
REN8U:	EQU       050H	;	RECIVER ENABLE IN 8 BIT UART MODE.
RTE8U:	EQU       052H	;	RECIVER/TRANSMITTER ENABLE IN 8 BIT UART MODE.
T1AR8:	EQU       020H	;	8 BIT AUTO RELOD T1 CNTER -TH#1 HLDS SET 0010 AR MD
T0AR8:	EQU       002H	;	8 BIT AUTO RELOD T0 CNTER -TH#0 HLDS SET 0010 AR MD
T0CNT:	EQU       00000101B	;	SETTINGS FOR T0 AS 16 BIT COUNTER.
B9600:	EQU       0FDH	;	FD SETTING RATE LOADED IN TH1 TIMER FOR AUTO RELOAD.
B1200:	EQU       0E8H	;	BAUD RATE OF 1200 ALL RATES FOR  CRYSTAL 11MHZ.
		;	FIRMWARE EQUATES
		;	
GOSWT:	EQU       0B5H	;	GO SWITCH REFERENCE TO START UNIT.
UPSTK:	EQU       009H	;	UPPER STACK LOCATION FOR DIRECT UPDATE.
LWSTK:	EQU       008H	;	LOWER STACK LOCATION FOR DIRECT UPDATE.
BD0:	EQU       0F0H	;	BIT 0 OF B REGISTER.
		;	SBC HARDWARE EQUATES
		;	
SEGAD:	EQU       0C000H	;	ADDRESS OF 374 FOR SEGMENT DRIVE.
DGTAD:	EQU       0C003H	;	ADDRESS OF 374 FOR DIGIT DRIVE.
KEYAD:	EQU       0C004H	;	ADDRESS OF 244 FOR KEYS 4 INPUT.
ACTHI:	EQU       0000H	;	XOR WITH THIS WILL BE BUFFER.
ACTLO:	EQU       00FFH	;	XOR WITH THIS IS INVERTOR.
MASKH:	EQU       000FH	;	UPPER NIBBLE ZERO IF ANDED.
MASKL:	EQU       00F0H	;	LOWER NIBBLE ZERO IF ANDED.
		;	SETTINGS FOR CURRENT CONFIGURATION.
		;	
SKORA:	EQU       ACTHI	;	SEGMENT NO INVERSION.
DKORA:	EQU       ACTLO	;	DIGIT INVERSION.
DSPNO:	EQU       8	;	8 MULTIPLEXED DISPLAYS.
TIMER:	EQU       50	;	MEM LOC 50 COUNTDOWN TIMER.
BLANK:	EQU       0 	;	CODE FOR TURNING ALL DISPLAYS OFF.
MUXRT:	EQU       6	;	MUX RATE OF DISPLAY REFRESH.
DSPMP:	EQU       88-DSPNO	;	LOCATION FOR DSP 7SEG DATA.
CNTST:	EQU       64	;	START UNITS PLACE OF CNTMP.
DSPST:	EQU       88	;	START UNITS PLACE OF DSPMP.
CNTMP:	EQU       64-DVMNO  	;	STORES COUNTS RECORDED IN BCD.
ADDMP:	EQU       112-DVMNO	;	STORES CONSTANT TO BE ADDED TEMP.
DVMNO:	EQU       5	;	SETS NO OF DISPLAYS FOR DVM.
LOCNT:	EQU       49	;	COUNTER UNLOAD ON INT LOWER BYTE.
HICNT:	EQU       48	;	COUNTER UNLOAD ON INT HIGHER BYTE.
MUXRG:	EQU       51	;	HOLDS THE DISPLY NO TO BE DISPLAYED. 
RPBAK:	EQU       52	;	HOLDS VALUE OF R1 ON INT.
		;	BIT ADDRESS EQUATES.
		;	
DTRDY:	EQU       10  	;	FLAG FOR A/D HIGH DATA READY,LOW AFTER DATA USED.
