LOOPS:		;	LOOPS PROGRAM WITH ENDLESS LOOP.
	CLR EA	;	DISABLE ALL INTERRUPT SPECIFIC TO SBC. 
	ORL P1,#0FFH	;	TURN OFF RELAYS AND OUTPUTS LOW IS ON.
	MOV R1,#31	;	SET R1 TO 31 VALUE WITH R0 & R1 INCLUDED.
	MOV R0,#02	;	CLEAR RAM ALL TO 00H 0 TO 31
ZEROZ:	MOV @R0,#00H	;	MOVE DATA 00H TO DATA MEM. INT. RAM ADDR. BY R0.
	INC R0	;	INC RUNS 7D TIMES TILL DJNZ COMMAND MAKES R1=0
 	DJNZ R1,ZEROZ	;	DECREMENT AND CHECK R1 FOR ZERO IF NOT JUMP ZEROZ.
	MOV SCON,#RTE8U	;	01010010 BIT-4 REC /TRX ENABLE BIT-6 8 BIT UART MODE.
	MOV TMOD,#T1AR8	;	8 BIT AUTO RELOAD TIMER COUNTER MODE TH#1 HOLDS SET.
	MOV TH1,#B9600	;	SET BAUD RATE OF COMMUNICATION LOAD TIMER 1 HIGH FDH.
	MOV MUXRG,#DSPNO	;	SET R7 TO NUMBER OF DISPLAYS.
	MOV TIMER,#MUXRT	;	COUNTDOWN TIMER SET TO MUX RATE.
	SETB TR1	;	TIMER 1 RUN CONTROL ON, ON TIMER 1.
	SETB EA	;	ENABLE ALL INTERRUPT.
	SETB ET1	;	ENABLE T1 INTERRUPT OF TIMER 1.
	SETB EX1	;	ENABLE EXT INT 1 USED FOR 7135 DATA READY.
	SETB PX1
	ORL TMOD,#T0CNT	;	SET T0 AS COUNTER 16 BIT RETAINING T1 SETTINGS.
	CLR TR0	;	COUNTER IN OFF MODE.
LOOPZ:	MOV R6,#DVMNO	;	IN THIS VER F 4 DIGITS SELECTED FOR PROCESS VALUE.
	MOV R1,#DSPST-DVMNO+1	;	MOVE INTO R1 FIRST LOCATION OF DSPMP 88-5+1=84
	MOV R0,#CNTST-DVMNO+1	;	MOVE INTO R0 FIRST LOCATION OF DSPMP 64-5+1=60
UPDAT:	MOV A,@R0	;	READ LOC 80-3 TO ACC, IT WILL INC FOR EVERY DNJZ.
	LCALL ENSGM	;	ENCODE ACC VALUE LOWER NIBBLE TO 7SEG VALUE.
	MOV @R1,A	;	WRITE TO INTERNAL RAM AT 58 DECODED 7 SEG VALUE.
	INC R1	;	SELECT NEXT INT RAM LOC 59.....SO ON.
	INC R0	;	SELECT NEXT INT RAM LOC 76.....SO ON.
	DJNZ R6,UPDAT	;	LOOP TO CLEAN TILL DGNXT IS 0. TILL 58,TO 62 UPDAT.
	JB DTRDY,CNVRT	;	IF DATA READY CONVERT IT TO BCD AND PUT IN CNTMP.
	SJMP ENDLP	;	JUMP OVER AS BIT NOT SET.
CNVRT:	LCALL BNBCD	;	CONVERT 16 BIT TO 5 DIGIT BCD.
ENDLP:		;	
FLGBF:	EQU  24	;	BIT FLAG TO INDICATE DATA BEING SENT.
CHRNO:	EQU 127	;	THIS HOLDS THE CHR NO BEING SENT.
	JB RI,READB	;	TRX COMPLETE THEN  TI=1, TI=0 THEN TRANSMIT GOING ON.
	SJMP NORET	;	IF RI NOT SET JUMPOVER.
READB:	CLR RI	;	CLR TI TO EN TRX TI SET TO 1 BY 8031 AFTER BYTE SENT.
	MOV A,SBUF	;	LOAD VALUE TO BE TRANSMITTED TO SBUF FOR SEND.
	ANL A,#07FH	;	AND 0111 1111 B TO SET D7 BIT OF RECD DATA 0 PARITY=0.
	XRL A,#Y	;	COMPARE IN DATA IF Y THEN TRX CNTMP ELSE ECHO.
	JZ WRTBF	;	AS IN DATA WAS Y TRX CNTMP.
	SJMP NORET	;	JUMP OVER IF NOT Y.
WRTBF:	SETB FLGBF	;	IF CHR IN WAS Y THEN SET FLAG.
	MOV CHRNO,#0	;	SET CHRNO 0 THIS WILL INC UPTO DVMNO.
NORET:	JB FLGBF,TRXIT	;	IF BUFFER FLAG SET THEN TRX CHR ONE EVERY LOOP.
	SJMP CONTD	;	JUMP OVER AS BUFFER FLAG NOT SET NO TRX REQ.
TRXIT:	JB TI, TRXCT	;	IF TRX IS FREE TRANSMIT 1 FREE 0 BUSY.
	SJMP CONTD	;	JUMPOVER AS TRX BUSY.
TRXCT:	CLR TI	;	CLR TI AS TRANSMIT WILL BE LOADED.
	MOV A,#CNTMP+1	;	SET TO CNTMAP G POSITION.
	ADD A,CHRNO	;	ADD CHRNO 0-5 AS IT LOOPS.
	MOV R0,A	;	SET IT TO R0.
	MOV A,@R0	;	EVERY MAIN LOOP 1 CHR IS SENT.
	ADD A,#48	;	ADD 48 FOR BCD TO ASCII CONVERSION.
	MOV SBUF,A	;	LOAD ASCII TO SERIAL BUFFER.
	INC CHRNO	;	GO TO NEXT CHAR.
	MOV A,#DVMNO	;	READ DVMNO TO ACC.
	CJNE A,CHRNO,CONTD	;	COMPARE DVMNO TO CHARNO AND LOOP TILL BOTH EQUAL
	CLR FLGBF	;	AS ALL CHRS SENT CLR BUFFER FLAG.
CONTD:	LJMP LOOPZ	;	LOOP AT LOOPZ TILL INT.
		;	
ENSGM:	ANL A,#MASKH	;	DECODE 0-F 4BIT VALUE TO 7SEGMENT 8BIT CODE.
	MOV DPTR,#CODES	;	MASKH MASK IS 0FH AND LOGIC ZEROS UPPER NIBBLE.
	MOVC A,@A+DPTR	;	ADD TO ACC VALUE IN CODES EQU.
	RET	;	MOVE INTO ACC ADDR. BY ACC.PROGRAM MEM.
CODES:	DFB 00111111B XOR SKORA	;	0     p    g    f    e    d    c    b    a
	DFB 00000110B XOR SKORA	;	1    D7   D6   D5   D4   D3   D2   D1   D0
	DFB 01011011B XOR SKORA	;	2..             a
	DFB 01001111B XOR SKORA	;	3           ---------
	DFB 01100110B XOR SKORA	;	4           |       |
	DFB 01101101B XOR SKORA	;	5         f |       | b
	DFB 01111101B XOR SKORA	;	6           |       |
	DFB 00000111B XOR SKORA	;	7           ---------
	DFB 01111111B XOR SKORA	;	8           |   g   |
	DFB 01101111B XOR SKORA	;	9         e |       | c
	DFB 01110111B XOR SKORA	;	A           |       |
	DFB 01010000B XOR SKORA	;	R           ---------   o
	DFB 01110011B XOR SKORA	;	P              d        p
	DFB 01110110B XOR SKORA	;	H
	DFB 01010100B XOR SKORA	;	N
	DFB 01111001B XOR SKORA	;	E
		;	
ENDGT:	EQU {$-1} 	;	THIS ENCODES PORT 1 TO TURN ON DIGITS.
	DFB 10000000B XOR DKORA	;	LED ROW
	DFB 01000000B XOR DKORA	;	AND TO 0FF IS DONE TO LOSE PREFIX OF $ PROGRAM COUNTER.
	DFB 00100000B XOR DKORA	;	SCANNER CHANNEL IF REQ 2 DIGIT DISPLAY.
	DFB 00010000B XOR DKORA	;	TENTHOUSANDS
	DFB 00001000B XOR DKORA	;	THOUSANDS
	DFB 00000100B XOR DKORA	;	HUNDREDS
	DFB 00000010B XOR DKORA	;	TENS
	DFB 00000001B XOR DKORA	;	UNITS
